commit:     461b242fee3a125f00e7de8fedbf7e20b3392683
Author:     Martin Mokrejš <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
AuthorDate: Wed Jan  7 22:00:08 2015 +0000
Commit:     Martin Mokrejs <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
CommitDate: Wed Jan  7 22:00:08 2015 +0000
URL:        http://sources.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=461b242f

Initial ebuild, does not install the *.exe.so files. Do we need them?

---
 sci-biology/blue/ChangeLog         | 10 ++++++++++
 sci-biology/blue/blue-1.1.2.ebuild | 31 +++++++++++++++++++++++++++++++
 sci-biology/blue/metadata.xml      |  9 +++++++++
 3 files changed, 50 insertions(+)

diff --git a/sci-biology/blue/ChangeLog b/sci-biology/blue/ChangeLog
new file mode 100644
index 0000000..7c74563
--- /dev/null
+++ b/sci-biology/blue/ChangeLog
@@ -0,0 +1,10 @@
+# ChangeLog for sci-biology/blue
+# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*blue-1.1.2 (07 Jan 2015)
+
+  07 Jan 2015; Martin Mokrejs <[email protected]> +blue-1.1.2.ebuild,
+  +metadata.xml:
+  Initial ebuild, does not install the *.exe.so files. Do we need them?
+

diff --git a/sci-biology/blue/blue-1.1.2.ebuild 
b/sci-biology/blue/blue-1.1.2.ebuild
new file mode 100644
index 0000000..a4555b3
--- /dev/null
+++ b/sci-biology/blue/blue-1.1.2.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+DESCRIPTION="Error corrector for Illummina and Roche/454 able to also fix 
insertions and deletions"
+HOMEPAGE="http://www.csiro.au/Outcomes/ICT-and-Services/Software/Blue.aspx";
+SRC_URI="http://www.csiro.au/~/media/CSIROau/Images/Bioinformatics/Blue_software/Version_1-1-2/Linux112.ashx
 -> "${P}".tar.gz
+       
http://www.csiro.au/~/media/CSIROau/Images/Bioinformatics/Blue_software/Version_1-1-2/Correcting_reads_with_Blue.ashx
 -> Correcting_reads_with_Blue.pdf"
+
+LICENSE="GPL"
+SLOT="0"
+KEYWORDS=""
+IUSE=""
+
+DEPEND="dev-lang/mono"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}"/Linux
+
+src_compile(){
+       Blue/compile.sh || die
+       Tessel/compile.sh || die
+       GenerateMerPairs/compile.sh || die
+}
+
+src_install(){
+       dobin Tessel.exe GenerateMerPairs.exe Blue.exe
+       # BUG: probably have to install also the *.exe.so files
+}

diff --git a/sci-biology/blue/metadata.xml b/sci-biology/blue/metadata.xml
new file mode 100644
index 0000000..2bc8930
--- /dev/null
+++ b/sci-biology/blue/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+  <herd>sci-biology</herd>
+  <maintainer>
+    <email>[email protected]</email>
+    <name>Martin Mokrejs</name>
+  </maintainer>
+</pkgmetadata>

Reply via email to